## gst-plugins-good1.0 1.26.0

=== meson_options.txt ===
# Feature options for plugins without external deps
option('alpha', type : 'feature', value : 'auto')
option('apetag', type : 'feature', value : 'auto')
option('audiofx', type : 'feature', value : 'auto')
option('audioparsers', type : 'feature', value : 'auto')
option('auparse', type : 'feature', value : 'auto')
option('autodetect', type : 'feature', value : 'auto')
option('avi', type : 'feature', value : 'auto')
option('cutter', type : 'feature', value : 'auto')
option('debugutils', type : 'feature', value : 'auto')
option('deinterlace', type : 'feature', value : 'auto')
option('dtmf', type : 'feature', value : 'auto')
option('effectv', type : 'feature', value : 'auto')
option('equalizer', type : 'feature', value : 'auto')
option('flv', type : 'feature', value : 'auto')
option('flx', type : 'feature', value : 'auto')
option('goom', type : 'feature', value : 'auto')
option('goom2k1', type : 'feature', value : 'auto')
option('icydemux', type : 'feature', value : 'auto')
option('id3demux', type : 'feature', value : 'auto')
option('imagefreeze', type : 'feature', value : 'auto')
option('interleave', type : 'feature', value : 'auto')
option('isomp4', type : 'feature', value : 'auto')
option('law', type : 'feature', value : 'auto')
option('level', type : 'feature', value : 'auto')
option('matroska', type : 'feature', value : 'auto')
option('monoscope', type : 'feature', value : 'auto')
option('multifile', type : 'feature', value : 'auto')
option('multipart', type : 'feature', value : 'auto')
option('replaygain', type : 'feature', value : 'auto')
option('rtp', type : 'feature', value : 'auto')
option('rtpmanager', type : 'feature', value : 'auto')
option('rtsp', type : 'feature', value : 'auto')
option('shapewipe', type : 'feature', value : 'auto')
option('smpte', type : 'feature', value : 'auto')
option('spectrum', type : 'feature', value : 'auto')
option('udp', type : 'feature', value : 'auto')
option('videobox', type : 'feature', value : 'auto')
option('videocrop', type : 'feature', value : 'auto')
option('videofilter', type : 'feature', value : 'auto')
option('videomixer', type : 'feature', value : 'auto')
option('wavenc', type : 'feature', value : 'auto')
option('wavparse', type : 'feature', value : 'auto')
option('xingmux', type : 'feature', value : 'auto')
option('y4m', type : 'feature', value : 'auto')

# Feature options for plugins with external deps
option('adaptivedemux2', type : 'feature', value : 'auto', description : '2nd generation adaptive demuxer plugin')
option('aalib', type : 'feature', value : 'auto', description : 'aalib text console video sink plugin')
option('amrnb', type : 'feature', value : 'auto', description : 'Adaptive Multi-Rate Narrow-Band audio codec plugin')
option('amrwbdec', type : 'feature', value : 'auto', description : 'Adaptive Multi-Rate Wide-Band audio decoder plugin')
option('bz2', type : 'feature', value : 'auto', description : 'libbz2 support in the matroska plugin')
option('cairo', type : 'feature', value : 'auto', description : 'Cairo overlay plugin')
option('directsound', type : 'feature', value : 'auto', description : 'Directsound audio source/sink plugin')
option('dv', type : 'feature', value : 'auto', description : 'Digital video decoder and demuxer plugin')
option('dv1394', type : 'feature', value : 'auto', description : 'Digital IEEE1394 interface video source plugin')
option('flac', type : 'feature', value : 'auto', description : 'FLAC audio codec plugin')
option('gdk-pixbuf', type : 'feature', value : 'auto', description : 'gdk-pixbuf image decoder, overlay, and sink plugin')
option('gtk3', type : 'feature', value : 'auto', description : 'GTK+ video sink plugin')
option('jack', type : 'feature', value : 'auto', description : 'JACK audio source/sink plugin')
option('jpeg', type : 'feature', value : 'auto', description : 'JPEG image codec plugin')
option('lame', type : 'feature', value : 'auto', description : 'LAME mp3 audio encoder plugin')
option('libcaca', type : 'feature', value : 'auto', description : 'libcaca text console video sink plugin')
option('mpg123', type : 'feature', value : 'auto', description : 'mpg123 mp3 audio decoder plugin')
option('oss', type : 'feature', value : 'auto', description : 'OSS audio source/sink plugin')
option('oss4', type : 'feature', value : 'auto', description : 'OSSv4 audio source/sink plugin')
option('osxaudio', type : 'feature', value : 'auto', description : 'macOS/iOS CoreAudio source/sink plugin')
option('osxvideo', type : 'feature', value : 'auto', description : 'macOS Cocoa video sink plugin')
option('png', type : 'feature', value : 'auto', description : 'PNG image codec plugin')
option('pulse', type : 'feature', value : 'auto', description : 'Pulseaudio audio source/sink plugin')
option('shout2', type : 'feature', value : 'auto', description : 'Shout-casting network sink plugin based on libshout2')
option('speex', type : 'feature', value : 'auto', description : 'Speex audio codec plugin')
option('taglib', type : 'feature', value : 'auto', description : 'Tag-writing plugin based on taglib')
option('twolame', type : 'feature', value : 'auto', description : 'twolame mp2 audio encoder plugin')
option('vpx', type : 'feature', value : 'auto', description : 'VP8 and VP9 video codec plugin')
option('waveform', type : 'feature', value : 'auto', description : 'Windows waveform audio sink plugin')
option('wavpack', type : 'feature', value : 'auto', description : 'Wavpack audio codec plugin')

# HLS plugin options
option('hls-crypto', type : 'combo', value : 'auto', choices : ['auto', 'nettle', 'libgcrypt', 'openssl'],
       description: 'Crypto library to use for HLS plugin')

# rpicamsrc plugin options
option('rpicamsrc', type : 'feature', value : 'auto', description : 'Raspberry Pi camera module plugin')
option('rpi-header-dir', type : 'string', value : '/opt/vc/include', description : 'Directory where VideoCore/MMAL headers and bcm_host.h can be found')
option('rpi-lib-dir', type : 'string', value : '/opt/vc/lib', description : 'Directory where VideoCore/MMAL libraries can be found')

# soup plugin options
option('soup', type : 'feature', value : 'auto', description : 'libsoup HTTP client source/sink plugin')
option('soup-lookup-dep', type : 'boolean', value : false,
       description : 'Lookup libsoup dep at build time even when building a shared plugin')
option('soup-version', type : 'combo', value : 'auto', choices : ['auto', '2', '3'],
       description: 'Force a specific libsoup version if linking to it (N/A for shared builds on Linux)')

# Qt plugin options
option('qt-method', type: 'combo', value: 'auto', choices: ['auto', 'pkg-config', 'qmake'],
       description: 'Method to use to find Qt')
option('qt-egl', type: 'feature', value: 'auto', description: 'EGLFS support in the Qt plugins')
option('qt-wayland', type: 'feature', value: 'auto', description: 'Wayland support in the Qt plugins')
option('qt-x11', type: 'feature', value: 'auto', description: 'X11 support in the Qt plugins')
option('qt5', type : 'feature', value : 'auto', yield : true, description : 'Qt5 QML video sink plugin')
option('qt6', type : 'feature', value : 'auto', yield : true, description : 'Qt6 QML video sink plugin')

# ximagesrc plugin options
option('ximagesrc', type : 'feature', value : 'auto', description : 'X11 ximagesrc plugin')
option('ximagesrc-xshm', type : 'feature', value : 'auto', description : 'X11 ximagesrc plugin (XSHM support)')
option('ximagesrc-xfixes', type : 'feature', value : 'auto', description : 'X11 ximagesrc plugin (XFixes support)')
option('ximagesrc-xdamage', type : 'feature', value : 'auto', description : 'X11 ximagesrc plugin (XDamage support)')
option('ximagesrc-navigation', type : 'feature', value : 'auto', description : 'X11 ximagesrc plugin (Navigation support)')

# v4l2 plugin options
option('v4l2', type : 'feature', value : 'auto', description : 'Build video4linux2 source/sink plugin')
option('v4l2-probe', type : 'boolean', value : true, description : 'Probe v4l2 devices when the v4l2 plugin is loaded')
option('v4l2-libv4l2', type : 'feature', value : 'auto', description : 'Use libv4l2 for some obscure format conversions')
option('v4l2-gudev', type : 'feature', value : 'auto', description : 'Use libgudev for probing v4l2 devices')

# Common feature options
option('examples', type : 'feature', value : 'auto', yield : true)
option('tests', type : 'feature', value : 'auto', yield : true)
option('nls', type : 'feature', value : 'auto', yield: true, description : 'Enable native language support (translations)')
option('orc', type : 'feature', value : 'auto', yield : true)
option('asm', type : 'feature', value : 'auto', yield : true)

# Common options
option('package-name', type : 'string', yield : true,
       description : 'package name to use in plugins')
option('package-origin', type : 'string', value : 'Unknown package origin', yield : true,
       description : 'package origin URL to use in plugins')
option('doc', type : 'feature', value : 'auto', yield: true,
       description: 'Enable documentation.')
option('glib_debug', type : 'feature', value : 'auto', yield : true, description : 'Enable GLib debug infrastructure (see docs/macros.txt)')
option('glib_assert', type : 'boolean', value : true, yield : true, description : 'Enable GLib assertion (see docs/macros.txt)',
  deprecated: {'enabled' : 'true', 'disabled' : 'false', 'auto' : 'false'},
)
option('glib_checks', type : 'boolean', value : true, yield : true, description : 'Enable GLib checks such as API guards (see docs/macros.txt)',
  deprecated: {'enabled' : 'true', 'disabled' : 'false', 'auto' : 'false'},
)

# Deprecated, kept for backward compat
option('gobject-cast-checks', type : 'feature', value : 'auto', yield : true,
       description: 'Enable run-time GObject cast checks (auto = enabled for development, disabled for stable releases)',
       deprecated: 'glib_debug')
option('glib-asserts', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib assertion (auto = enabled for development, disabled for stable releases)',
       deprecated: 'glib_assert')
option('glib-checks', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib checks such as API guards (auto = enabled for development, disabled for stable releases)',
       deprecated: 'glib_checks')

=== debian/changelog ===
gst-plugins-good1.0 (1.26.0-1ubuntu2.1) plucky-security; urgency=medium

  * SECURITY UPDATE: buffer over-read in isomp4 plugin
    - debian/patches/CVE-2025-47183.patch: use byte reader to parse mvhd
      box in gst/isomp4/qtdemux.c.
    - CVE-2025-47183
  * SECURITY UPDATE: buffer over-read in isomp4 plugin
    - debian/patches/CVE-2025-47219.patch: check if enough bytes are
      available for each stsd entry in gst/isomp4/qtdemux.c.
    - CVE-2025-47219

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 25 Aug 2025 09:42:59 -0400

gst-plugins-good1.0 (1.26.0-1ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:06:09 -0500

gst-plugins-good1.0 (1.26.0-1ubuntu1) plucky; urgency=medium

  * Resynchronize on Debian. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/gbp.conf: Update Vcs-* for Ubuntu
    + debian/rules: Disable amrnb and amrwbdec because opencore-amr is
      currently in universe in Ubuntu, and packages in main cannot
      depend on it
    + debian/gstreamer1.0-plugins-good.install: Drop
      usr/lib/*/gstreamer-1.0/libgstamrnb.so and
      usr/lib/*/gstreamer-1.0/libgstamrwbdec.so

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 22:17:50 -0400

gst-plugins-good1.0 (1.26.0-1) unstable; urgency=medium

  * Revert "d/watch: pin on 1.24.x"
  * New upstream version 1.26.0
  * d/control: bump GStreamer version dependency
  * d/install: libgstsoup.so is not system version.
  * d/control: update dependency version to 1.25.90
  * d/control: update GStreamer dependencies to >= 1.26.0

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Mar 2025 10:28:56 +0100

gst-plugins-good1.0 (1.24.12-1) unstable; urgency=medium

  * New upstream version 1.24.12

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 30 Jan 2025 08:50:17 +0100

gst-plugins-good1.0 (1.24.11-5) unstable; urgency=medium

  * d: build fixes for hurd-amd64 (Closes: #1072337)

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 20 Jan 2025 09:44:58 +0100

gst-plugins-good1.0 (1.24.11-4) unstable; urgency=medium

  * d/rules: soup only when not hurd

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 17 Jan 2025 17:33:53 +0100

gst-plugins-good1.0 (1.24.11-3) unstable; urgency=medium

  * d/watch: pin on 1.24.x
  * d/rules: disable soup plugins on hurd

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 17 Jan 2025 14:32:21 +0100

gst-plugins-good1.0 (1.24.11-2) unstable; urgency=medium

  * d/rules: disable adaptivedemux2 on hurd

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 09 Jan 2025 16:35:04 +0100

gst-plugins-good1.0 (1.24.11-1) unstable; urgency=medium

  * New upstream version 1.24.11

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 07 Jan 2025 09:14:04 +0100

gst-plugins-good1.0 (1.24.10-1ubuntu4) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Feb 2025 14:10:29 -0600

=== debian/control ===
Source: gst-plugins-good1.0
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>,
           Marc Leeman <marc.leeman@gmail.com>,
Build-Depends: debhelper,
               debhelper-compat (= 13),
               dpkg-dev (>= 1.15.1),
               meson (>= 0.62),
               pkgconf (>= 0.11.0),
               xvfb,
               xauth,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.62),
               libgstreamer1.0-dev (>= 1.26.0),
               libgstreamer-plugins-base1.0-dev (>= 1.26.0),
               gstreamer1.0-plugins-base (>= 1.26.0),
               liborc-0.4-dev (>= 1:0.4.17),
               libcairo2-dev (>= 1.10.0),
               libcaca-dev,
               libspeex-dev (>= 1.1.6),
               libpng-dev,
               libshout-dev,
               libjpeg-dev,
               libaa1-dev (>= 1.4p5),
               libflac-dev (>= 1.1.4),
               libdv4-dev | libdv-dev,
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev,
               libxml2-dev,
               libxv-dev,
               libx11-xcb-dev,
               libgtk-3-dev (>= 3.15),
               libtag1-dev (>= 1.5),
               libwavpack-dev (>= 4.60),
               libpulse-dev (>= 2.0),
               libbz2-dev,
               libjack-jackd2-dev,
               libvpx-dev (>= 1.7),
               libmp3lame-dev,
               libmpg123-dev (>= 1.13),
               libtwolame-dev (>= 0.3.10),
               libopencore-amrnb-dev,
               libopencore-amrwb-dev,
               qtbase5-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 powerpc ppc64 sparc64],
               qtbase5-private-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 powerpc ppc64 sparc64],
               qtdeclarative5-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 powerpc ppc64 sparc64],
               qttools5-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 powerpc ppc64 sparc64],
               qt6-base-private-dev [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 powerpc ppc64 sparc64],
               qt6-declarative-dev [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 powerpc ppc64 sparc64],
               qt6-shader-baker [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 powerpc ppc64 sparc64],
               qt6-tools-dev [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 powerpc ppc64 sparc64],
               qt6-wayland-dev [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x powerpc ppc64 sparc64],
               libqt5x11extras5-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 powerpc ppc64 sparc64],
               libqt5waylandclient5-dev [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x powerpc ppc64 sparc64],
               libraw1394-dev (>= 2.0.0) [linux-any],
               libiec61883-dev (>= 1.0.0) [linux-any],
               libavc1394-dev [linux-any],
               libv4l-dev [linux-any],
               libgudev-1.0-dev (>= 147) [linux-any],
               nasm (>= 2.13) [any-amd64]
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0/
Homepage: https://gstreamer.freedesktop.org

Package: gstreamer1.0-pulseaudio
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: gstreamer1.0-plugins-good (>= 1.26.0), ${misc:Depends}
Description: GStreamer plugin for PulseAudio (transitional package)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package used to contain the GStreamer plugin for PulseAudio, a
 sound server for POSIX and WIN32 systems.
 .
 This is a transitional package.

Package: gstreamer1.0-qt5
Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 powerpc ppc64 sparc64
Multi-Arch: same
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Replaces: gstreamer1.0-plugins-bad (<< 1.13.1)
Breaks: gstreamer1.0-plugins-bad (<< 1.13.1)
Description: GStreamer plugin for Qt5
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for Qt5.

Package: gstreamer1.0-qt6
Architecture: amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 powerpc ppc64 sparc64
Multi-Arch: same
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugin for Qt6
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for Qt6.

Package: gstreamer1.0-gtk3
Architecture: any
Multi-Arch: same
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Replaces: gstreamer1.0-plugins-bad (<< 1.13.1)
Breaks: gstreamer1.0-plugins-bad (<< 1.13.1)
Description: GStreamer plugin for GTK+3
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for GTK+3.

Package: gstreamer1.0-plugins-good
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-audiosink,
         gstreamer1.0-plugins-base (>= 1.26.0),
         libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
         libsoup-3.0-0
Recommends: gstreamer1.0-x
Replaces: gstreamer1.0-plugins-bad (<< 1.15.1),
          gstreamer1.0-plugins-ugly (<< 1.24),
          gstreamer1.0-pulseaudio (<< 1.18.0)
Breaks: gstreamer1.0-plugins-bad (<< 1.15.1),
        gstreamer1.0-plugins-ugly (<< 1.24),
        gstreamer1.0-pulseaudio (<< 1.18.0),
        libv4l-0 (<< 1.26.1-4~),
        libv4lconvert0 (<< 1.26.1-4~)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins from the "good" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugins from the "good" set, a set
 of good-quality plug-ins under the LGPL license.

Package: libgstreamer-plugins-good1.0-0
Architecture: any
Section: libs
Priority: optional
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
Replaces: gstreamer1.0-plugins-good (= 1.0.3-1ubuntu1),
          libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
Description: GStreamer development files for libraries from the "good" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains shared GStreamer libraries from the "good" set. The API
 is not guaranteed to be stable.

Package: libgstreamer-plugins-good1.0-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: ${misc:Depends},
     libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
     libgstreamer1.0-dev
Description: GStreamer development files for libraries from the "good" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains development files for GStreamer libraries from the
 "good" set. The API is not guaranteed to be stable.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export HOME=$(CURDIR)/fake-home
export QT_SELECT=5

# upstream version
gst_version=$(shell echo $(DEB_VERSION) | cut -d '-' -f 1)

built_binaries := $(shell dh_listpackages)

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer Good Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="https://tracker.debian.org/pkg/gst-plugins-good1.0"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer Good Plugins (Debian)"
GST_PACKAGE_ORIGIN="https://tracker.debian.org/pkg/gst-plugins-good1.0"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer Good Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/ubuntu/+source/gst-plugins-good1.0"
endif

conf_flags = -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
conf_flags += -Dauto_features=enabled -Ddoc=disabled -Drpicamsrc=disabled
# opencore-amr is in 'universe' in Ubuntu, so we disable these for now
conf_flags += -Damrnb=disabled -Damrwbdec=disabled

ifeq ($(DEB_HOST_ARCH_OS),hurd)
conf_flags += -Doss4=disabled
endif

ifneq ($(DEB_HOST_ARCH_OS),linux)
conf_flags += -Ddv1394=disabled -Dv4l2=disabled
endif

ifeq ($(filter gstreamer1.0-qt5,$(built_binaries)),)
conf_flags += -Dqt5=disabled
endif
ifeq ($(filter gstreamer1.0-qt6,$(built_binaries)),)
conf_flags += -Dqt6=disabled
endif

# qtwayland-opensource-src isn't built on hurd or Ubuntu's i386
ifneq (,$(filter $(DEB_HOST_ARCH), i386 hurd-amd64 hurd-i386))
conf_flags += -Dqt-wayland=disabled
endif

# qt-egl is not available on non-Linux
ifneq (,$(filter $(DEB_HOST_ARCH_OS), hurd))
conf_flags += -Dqt-egl=disabled
endif

# soup is not available on non-Linux, this plugin is compiled against
# the system version
ifeq ($(DEB_HOST_ARCH_OS),hurd)
conf_flags+= -Dadaptivedemux2=disabled -Dsoup=disabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(conf_flags)

execute_before_dh_auto_clean:
	rm -rf $(CURDIR)/fake-home

# Only make the tests fail for key architectures
override_dh_auto_test:
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
	xvfb-run dh_auto_test
else
	xvfb-run dh_auto_test || true
endif

execute_after_dh_install:
ifneq ($(DEB_HOST_ARCH_OS),hurd)
	dh_install -pgstreamer1.0-plugins-good debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstoss4.so
	dh_install -pgstreamer1.0-plugins-good debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstadaptivedemux2.so
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_install -pgstreamer1.0-plugins-good debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgst1394.so
	dh_install -pgstreamer1.0-plugins-good debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstvideo4linux2.so
endif

	mkdir -p $(CURDIR)/fake-home
	HOME=$(CURDIR)/fake-home \
	LD_LIBRARY_PATH=debian/libgstreamer-plugins-good1.0-0/usr/lib/$(DEB_HOST_MULTIARCH) \
	    dh_gstscancodecs
	rm -rf $(CURDIR)/fake-home

## gst-plugins-good1.0 1.26.2

=== debian/changelog ===
gst-plugins-good1.0 (1.26.2-1) unstable; urgency=medium

  * d/copyright: remove reference to ostal address of the Free Software Foundation (FSF).
  * d/copyright: correct DEP-5 issue
  * d/copyright: correct invalid short name BSD
  * d/copyright: correct invalid short name bsd (3 clause)
  * d/copyright: correct Copyright/License DEP-5
  * d/copyright: more DEP-5 changes
  * d/copyright: correct license gst/effectv/gstradioac.c
  * d/copyright: add LGPL-2.1
  * d/copyright: add LGPL-2
  * New upstream version 1.26.2

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 30 May 2025 09:27:39 +0200

gst-plugins-good1.0 (1.26.1-1) unstable; urgency=medium

  * d/copyright: convert to DEP-5
  * New upstream version 1.26.1

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 25 Apr 2025 09:06:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gst-plugins-good1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
            Marc Leeman <marc.leeman@gmail.com>,
@@ -166,7 +165,6 @@
          ${shlibs:Depends},
          gstreamer1.0-audiosink,
          gstreamer1.0-plugins-base (>= 1.26.0),
-         libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
          libsoup-3.0-0
 Recommends: gstreamer1.0-x
 Replaces: gstreamer1.0-plugins-bad (<< 1.15.1),
@@ -194,42 +192,3 @@
  .
  This package contains the GStreamer plugins from the "good" set, a set
  of good-quality plug-ins under the LGPL license.
-
-Package: libgstreamer-plugins-good1.0-0
-Architecture: any
-Section: libs
-Priority: optional
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
-Replaces: gstreamer1.0-plugins-good (= 1.0.3-1ubuntu1),
-          libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
-Description: GStreamer development files for libraries from the "good" set
- GStreamer is a streaming media framework, based on graphs of filters
- which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
- about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- This package contains shared GStreamer libraries from the "good" set. The API
- is not guaranteed to be stable.
-
-Package: libgstreamer-plugins-good1.0-dev
-Architecture: any
-Section: libdevel
-Priority: optional
-Depends: ${misc:Depends},
-     libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
-     libgstreamer1.0-dev
-Description: GStreamer development files for libraries from the "good" set
- GStreamer is a streaming media framework, based on graphs of filters
- which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
- about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- This package contains development files for GStreamer libraries from the
- "good" set. The API is not guaranteed to be stable.

=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,6 @@
 
 conf_flags = -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
 conf_flags += -Dauto_features=enabled -Ddoc=disabled -Drpicamsrc=disabled
-# opencore-amr is in 'universe' in Ubuntu, so we disable these for now
-conf_flags += -Damrnb=disabled -Damrwbdec=disabled
 
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
 conf_flags += -Doss4=disabled
@@ -95,6 +93,5 @@
 
 	mkdir -p $(CURDIR)/fake-home
 	HOME=$(CURDIR)/fake-home \
-	LD_LIBRARY_PATH=debian/libgstreamer-plugins-good1.0-0/usr/lib/$(DEB_HOST_MULTIARCH) \
-	    dh_gstscancodecs
+	dh_gstscancodecs
 	rm -rf $(CURDIR)/fake-home

## gst-plugins-good1.0 1.26.4

=== debian/changelog ===
gst-plugins-good1.0 (1.26.4-1) experimental; urgency=medium

  * d/watch: pin to 1.26.x
  * New upstream version 1.26.4

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 16 Jul 2025 19:59:18 +0200

gst-plugins-good1.0 (1.26.3-1) experimental; urgency=medium

  * New upstream version 1.26.3

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 27 Jun 2025 09:16:23 +0200

## gst-plugins-good1.0 1.26.5

=== debian/changelog ===
gst-plugins-good1.0 (1.26.5-3) unstable; urgency=medium

  [ Marc Leeman ]
  * d/control: libtag1-dev -> libtag-dev (Closes: #1110940)

  [ Samuel Thibault ]
  * d/rules: re-enable soup plugin for hurd (Closes: #1111862)

 -- Marc Leeman <marc.leeman@gmail.com>  Sat, 23 Aug 2025 14:43:17 +0200

gst-plugins-good1.0 (1.26.5-2) unstable; urgency=medium

  * d/copyright: superfluous-file-pattern
  * d/copyright: correct SPDX format
  * d/copyright: add MIT license
  * trixie has been release, re-upload to unstable

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 11 Aug 2025 09:17:03 +0200

gst-plugins-good1.0 (1.26.5-1) experimental; urgency=medium

  * New upstream version 1.26.5

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 08 Aug 2025 09:02:07 +0200

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libxv-dev,
                libx11-xcb-dev,
                libgtk-3-dev (>= 3.15),
-               libtag1-dev (>= 1.5),
+               libtag-dev,
                libwavpack-dev (>= 4.60),
                libpulse-dev (>= 2.0),
                libbz2-dev,

## gst-plugins-good1.0 1.26.6

=== debian/changelog ===
gst-plugins-good1.0 (1.26.6-1) unstable; urgency=medium

  * New upstream version 1.26.6

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 15 Sep 2025 10:04:50 +0200

## gst-plugins-good1.0 1.26.7

=== debian/changelog ===
gst-plugins-good1.0 (1.26.7-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Drop unused B-D on libgirepository1.0-dev (Closes: #1116592)

  [ Marc Leeman ]
  * New upstream version 1.26.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 15 Oct 2025 09:48:00 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                pkgconf (>= 0.11.0),
                xvfb,
                xauth,
-               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.62),
                libgstreamer1.0-dev (>= 1.26.0),
                libgstreamer-plugins-base1.0-dev (>= 1.26.0),

## gst-plugins-good1.0 1.26.8

=== debian/changelog ===
gst-plugins-good1.0 (1.26.8-1) unstable; urgency=medium

  * d/control: bump meson version to match meson.build
  * New upstream version 1.26.8

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Nov 2025 10:34:17 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.15.1),
-               meson (>= 0.62),
+               meson (>= 1.4.0),
                pkgconf (>= 0.11.0),
                xvfb,
                xauth,

## gst-plugins-good1.0 1.26.9

=== debian/changelog ===
gst-plugins-good1.0 (1.26.9-1) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.7.2
  * New upstream version 1.26.9

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 02 Dec 2025 09:43:50 +0100

=== debian/control ===
--- 
+++ 
@@ -61,7 +61,7 @@
                libv4l-dev [linux-any],
                libgudev-1.0-dev (>= 147) [linux-any],
                nasm (>= 2.13) [any-amd64]
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0/
 Homepage: https://gstreamer.freedesktop.org

## gst-plugins-good1.0 1.26.10

=== debian/changelog ===
gst-plugins-good1.0 (1.26.10-1) unstable; urgency=medium

  * New upstream version 1.26.10

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 26 Dec 2025 17:55:05 +0100

## gst-plugins-good1.0 1.27.2

=== debian/changelog ===
gst-plugins-good1.0 (1.27.2-1ubuntu1) resolute; urgency=medium

  * Resynchronize on Debian (LP: #2130181). Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat (pinned still at 1.18) See LP#2089260
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/gbp.conf: Update Vcs-* for Ubuntu
    + debian/rules: Disable amrnb and amrwbdec because opencore-amr is
      currently in universe in Ubuntu, and packages in main cannot
      depend on it
    + debian/gstreamer1.0-plugins-good.install: Drop
      usr/lib/*/gstreamer-1.0/libgstamrnb.so and
      usr/lib/*/gstreamer-1.0/libgstamrwbdec.so

 -- Charles <charles05@canonical.com>  Wed, 29 Oct 2025 16:44:03 -0400

gst-plugins-good1.0 (1.27.2-1) experimental; urgency=medium

  [ Marc Leeman ]
  * d/control: API change, gst deps to 1.27.1
  * d/control: libtag1-dev -> libtag-dev (Closes: #1110940)
  * New upstream version 1.27.2
  * d/control: bump minimal version after new symbols

  [ Samuel Thibault ]
  * d/rules: re-enable soup plugin for hurd (Closes: #1111862)

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Sep 2025 11:46:58 +0200

gst-plugins-good1.0 (1.27.1-1) experimental; urgency=medium

  * Revert "d/watch: pin to 1.26.x"
  * d/gbp.conf: adjust for experimental
  * New upstream version 1.27.1
  * d/install libgsty4menc.so -> libgsty4m.so
  * d/copyright: remove superfluous-file-pattern gst/y4m/gsty4mencode.[ch]
  * d/control: bump standards-version to 4.7.2
  * d/copyright: remove unused GPL-2+

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 12 Aug 2025 12:25:17 +0200

gst-plugins-good1.0 (1.26.5-1ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 14:10:48 +0100

gst-plugins-good1.0 (1.26.5-1ubuntu1) questing; urgency=medium

  * Resynchronize on Debian. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/gbp.conf: Update Vcs-* for Ubuntu
    + debian/rules: Disable amrnb and amrwbdec because opencore-amr is
      currently in universe in Ubuntu, and packages in main cannot
      depend on it
    + debian/gstreamer1.0-plugins-good.install: Drop
      usr/lib/*/gstreamer-1.0/libgstamrnb.so and
      usr/lib/*/gstreamer-1.0/libgstamrwbdec.so

 -- Charles <charles05@canonical.com>  Fri, 25 Jul 2025 20:41:05 +0200

gst-plugins-good1.0 (1.26.4-1ubuntu1) questing; urgency=medium

  * Resynchronize on Debian. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/gbp.conf: Update Vcs-* for Ubuntu
    + debian/rules: Disable amrnb and amrwbdec because opencore-amr is
      currently in universe in Ubuntu, and packages in main cannot
      depend on it
    + debian/gstreamer1.0-plugins-good.install: Drop
      usr/lib/*/gstreamer-1.0/libgstamrnb.so and
      usr/lib/*/gstreamer-1.0/libgstamrwbdec.so

 -- Charles <charles05@canonical.com>  Fri, 25 Jul 2025 20:41:05 +0200

gst-plugins-good1.0 (1.26.3-1ubuntu1) questing; urgency=medium

  * Resynchronize on Debian. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/gbp.conf: Update Vcs-* for Ubuntu
    + debian/rules: Disable amrnb and amrwbdec because opencore-amr is
      currently in universe in Ubuntu, and packages in main cannot
      depend on it
    + debian/gstreamer1.0-plugins-good.install: Drop
      usr/lib/*/gstreamer-1.0/libgstamrnb.so and
      usr/lib/*/gstreamer-1.0/libgstamrwbdec.so

 -- Charles Turner <charles.turner@canonical.com>  Wed, 09 Jul 2025 14:53:05 +0100

gst-plugins-good1.0 (1.26.2-1ubuntu1) questing; urgency=medium

  * Resynchronize on Debian (LP: #2112009). Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/gbp.conf: Update Vcs-* for Ubuntu
    + debian/rules: Disable amrnb and amrwbdec because opencore-amr is
      currently in universe in Ubuntu, and packages in main cannot
      depend on it
    + debian/gstreamer1.0-plugins-good.install: Drop


=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: gst-plugins-good1.0
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
            Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.15.1),
-               meson (>= 1.4.0),
+               meson (>= 0.62),
                pkgconf (>= 0.11.0),
                xvfb,
                xauth,
+               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.26.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.26.0),
-               gstreamer1.0-plugins-base (>= 1.26.0),
+               libgstreamer1.0-dev (>= 1.27.2),
+               libgstreamer-plugins-base1.0-dev (>= 1.27.2),
+               gstreamer1.0-plugins-base (>= 1.27.2),
                liborc-0.4-dev (>= 1:0.4.17),
                libcairo2-dev (>= 1.10.0),
                libcaca-dev,
@@ -42,8 +44,6 @@
                libmp3lame-dev,
                libmpg123-dev (>= 1.13),
                libtwolame-dev (>= 0.3.10),
-               libopencore-amrnb-dev,
-               libopencore-amrwb-dev,
                qtbase5-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 powerpc ppc64 sparc64],
                qtbase5-private-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 powerpc ppc64 sparc64],
                qtdeclarative5-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 powerpc ppc64 sparc64],
@@ -70,7 +70,7 @@
 Architecture: any
 Multi-Arch: same
 Section: oldlibs
-Depends: gstreamer1.0-plugins-good (>= 1.26.0), ${misc:Depends}
+Depends: gstreamer1.0-plugins-good (>= 1.27.2), ${misc:Depends}
 Description: GStreamer plugin for PulseAudio (transitional package)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -163,7 +163,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          gstreamer1.0-audiosink,
-         gstreamer1.0-plugins-base (>= 1.26.0),
+         gstreamer1.0-plugins-base (>= 1.27.2),
+         libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
          libsoup-3.0-0
 Recommends: gstreamer1.0-x
 Replaces: gstreamer1.0-plugins-bad (<< 1.15.1),
@@ -191,3 +192,42 @@
  .
  This package contains the GStreamer plugins from the "good" set, a set
  of good-quality plug-ins under the LGPL license.
+
+Package: libgstreamer-plugins-good1.0-0
+Architecture: any
+Section: libs
+Priority: optional
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
+Replaces: gstreamer1.0-plugins-good (= 1.0.3-1ubuntu1),
+          libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
+Description: GStreamer development files for libraries from the "good" set
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ This package contains shared GStreamer libraries from the "good" set. The API
+ is not guaranteed to be stable.
+
+Package: libgstreamer-plugins-good1.0-dev
+Architecture: any
+Section: libdevel
+Priority: optional
+Depends: ${misc:Depends},
+     libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
+     libgstreamer1.0-dev
+Description: GStreamer development files for libraries from the "good" set
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ This package contains development files for GStreamer libraries from the
+ "good" set. The API is not guaranteed to be stable.

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,8 @@
 
 conf_flags = -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
 conf_flags += -Dauto_features=enabled -Ddoc=disabled -Drpicamsrc=disabled
+# opencore-amr is in 'universe' in Ubuntu, so we disable these for now
+conf_flags += -Damrnb=disabled -Damrwbdec=disabled
 
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
 conf_flags += -Doss4=disabled
@@ -57,10 +59,8 @@
 conf_flags += -Dqt-egl=disabled
 endif
 
-# soup is not available on non-Linux, this plugin is compiled against
-# the system version
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
-conf_flags+= -Dadaptivedemux2=disabled -Dsoup=disabled
+conf_flags+= -Dadaptivedemux2=disabled
 endif
 
 %:
@@ -93,5 +93,6 @@
 
 	mkdir -p $(CURDIR)/fake-home
 	HOME=$(CURDIR)/fake-home \
-	dh_gstscancodecs
+	LD_LIBRARY_PATH=debian/libgstreamer-plugins-good1.0-0/usr/lib/$(DEB_HOST_MULTIARCH) \
+	    dh_gstscancodecs
 	rm -rf $(CURDIR)/fake-home
